%define upstream_name    Perl-Destruct-Level
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 14

Summary:    Allow to change perl's destruction level
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Perl/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel

# Don't "provide" private Perl libs
%{?perl_default_filter}

%description
This module allows to change perl's internal _destruction level_.

The default value of the destruct level is 0; it means that perl won't
bother destroying all its internal data structures, but let the OS do the
cleanup for it at exit.

For perls built with debugging support ('-DDEBUGGING'), an environment
variable 'PERL_DESTRUCT_LEVEL' allows to control the destruction level.
This modules enables to modify it on non-debugging perls too.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.20.0-14pclos2017
- rebuild against updates

